%
% switch-release-tests.tex
%

\def\us{\char`\_}

\documentclass[a4paper, 12pt]{article}
%\documentclass{article}

\usepackage{fullpage}
\usepackage{pgf}
\usepackage{tikz}
\usetikzlibrary{arrows,automata,shapes}
\usepackage{multirow}
\usepackage{color}
\usepackage[latin1]{inputenc}
\usepackage{verbatim}
\usepackage{amsmath}
\usepackage{times,mathptmx}
\usepackage{chngcntr}
\usepackage{mdwlist}
%%%%%5% used in Tomeks %%%%%%%
\usepackage{listings}
\usepackage{cancel}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%    fig/tomeksDrawings

\usepackage{listings}
\usepackage{color}

\definecolor{dkgreen}{rgb}{0,0.6,0}
\definecolor{gray}{rgb}{0.5,0.5,0.5}
\definecolor{mauve}{rgb}{0.58,0,0.82}

\lstset{frame=tb,
  language=Java,
  aboveskip=3mm,
  belowskip=3mm,
  showstringspaces=false,
  columns=flexible,
  %basicstyle={\scriptsize},
  basicstyle={\footnotesize},
  numbers=none,
  numberstyle=\tiny\color{gray},
  keywordstyle=\color{blue},
  commentstyle=\color{dkgreen},
  stringstyle=\color{mauve},
  breaklines=false,
  breakatwhitespace=false
  tabsize=3
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% creating subsubsubsection notation
% src: http://www.latex-community.org/forum/viewtopic.php?f=5&t=791
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\setcounter{secnumdepth}{6}
\renewcommand\theparagraph{\Alph{paragraph}}

\makeatletter
\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {0.0001pt \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries}}
\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {0.0001pt \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries}}
%\renewcommand{\thefootnote}{\fnsymbol{footnote}}
%\renewcommand{\thefootnote}{\alph{footnote}}

\counterwithin{paragraph}{subsubsection}
\counterwithin{subparagraph}{paragraph}
\makeatother
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\eqoffset}[1]{%
  {\ensuremath{%
      {\text{offset}}_{#1}}%
  }%
}
\newcommand{\eqdelay}[1]{{\text{delay}}_{#1}}
\newcommand{\eqasymm}{{\text{asymmetry}}}
%\renewcommand*{\refname}{\vspace*{-3em}} 

\begin{document}

\title{White Rabbit Switch \\ pre-release tests}

\author{Grzegorz Daniluk, Maciej Lipinski\\CERN}
% \date
\maketitle
% \thispagestyle{empty}
\newpage
\tableofcontents
\newpage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage
\input{introduction}
\newpage
\input{forwarding-functional}
\newpage
\input{forwarding-performance}
\newpage
\input{synchronization-functional}
\newpage
\input{synchronization-performance}
% \newpage
% \input{}



\newpage
\begin{thebibliography}{9}
\footnotesize
\bibitem{WRPTP} %done x
 Emilio G. Cota, Maciej Lipinski, Tomasz Wostowski, Erik van der Bij, Javier
 Serrano
  \emph{White Rabbit Specification: Draft for Comments}.
  CERN, Geneva
  07/2011.\\
\vspace*{-2em}
\bibitem{PTPv2} %done x
 IEEE Instrumentation and Measurement Society
  \emph{IEEE Standard for a Precision Clock Synchronization Protocol for Networked Measurement and Control Systems}.
  IEEE Std 1588TM-2008, 
  2008, New York, USA\\
\vspace*{-2em}
\bibitem{SynchE}
  ITU-T G.8262/Y.1362
  \emph{Timing characteristics of a synchronous
  Ethernet equipment slave clock}.
  TELECOMMUNICATION STANDARDIZATION SECTOR OF ITU, 
  07/2010.\\
\vspace*{-2em}
\bibitem{SynchE2}
  ITU-T G.8264/Y.1364
  \emph{Distribution of timing information through packet network}.
  TELECOMMUNICATION STANDARDIZATION SECTOR OF ITU, 
  10/2008.\\
\vspace*{-2em}

\bibitem{IEEE802.3}
  IEEE Std 802.3-2008
  \emph{IEEE Standard for Information technology -- Telecommunications and information exchange 
	between systems -- Local and Metropolitan area networks -- Specific requirements}.
  IEEE Computer Society, New York,
  2008.\\
\vspace*{-2em}

\bibitem{WRCalib}
  Grzegorz Daniluk
  \emph{White Rabbit calibration proposal}\\
\vspace*{-2em}

\end{thebibliography}


\end{document}
